name='jetbrains-toolbox'
version='1.27.2.13801'
release='1'
desc='Manage all your JetBrains Projects and Tools'
homepage='https://www.jetbrains.com/toolbox/'
architectures=('amd64')
license=('jetbrains')
provides=('jetbrains-toolbox')
conflicts=('jetbrains-toolbox')

deps=('java-runtime>=8' 'fuse' 'glib2' 'libxslt' 'libxss' 'xcb-util-keysyms' 'xdg-utils' 'nss')

sources_amd64=("https://download.jetbrains.com/toolbox/${name}-${version}.tar.gz")
checksums_amd64=('SKIP')

prepare() {
	cd "${srcdir}/NoiseTorch"
}

build() {
	cd "${srcdir}/NoiseTorch"
	make
}

package() {
	install -Dm755 "${srcdir}/NoiseTorch/bin/noisetorch" "${pkgdir}/usr/bin/noisetorch"
	install -Dm644 "${srcdir}/NoiseTorch/assets/noisetorch.desktop" "${pkgdir}/usr/share/applications/noisetorch.desktop"
	install -Dm644 "${srcdir}/NoiseTorch/assets/icon/noisetorch.png" "${pkgdir}/usr/share/icons/hicolor/256x256/apps/noisetorch.png"
}




depends=()
optdepends=('xdg-utils: open URLs')
options=('!strip')
source=(
        jetbrains-toolbox.desktop
        icon.svg
        LICENSE)
b2sums=('34b22c6e58275fcf8049f6788aa8d7623e07034ba59a268fb9772f5d21462ad595b3cf32e434f505fce3f3e29021e2b1046ad2cae412b5b5f41f0a2549ad4233'
        '29b6d4be91d9276bce9e5413fb877db82de414198e343ff3f7aa5d03f65cf42c80f78ec3b43f601394fecc6a31712d1c475f3fdec71e51be5732ec7b1eb8dca9'
        '4b10487746fcb7f328cbdc8b17432f82618c5695baee4ef30e23ff3c4d4b6096daf2fcdfb4c1e2e179e2e61f68bbd88104e5df5a2e6e969aad0a68a75cfff496'
        'dadaf0e67b598aa7a7a4bf8644943a7ee8ebf4412abb17cd307f5989e36caf9d0db529a0e717a9df5d9537b10c4b13e814b955ada6f0d445913c812b63804e77')

package() {
  install -dm755 "${pkgdir}"/usr/bin/
  install -Dm644 "${srcdir}"/${pkgname}.desktop "${pkgdir}"/usr/share/applications/${pkgname}.desktop
  install -Dm644 "${srcdir}"/icon.svg "${pkgdir}"/usr/share/pixmaps/${pkgname}.svg
  install -Dm755 "${srcdir}"/${pkgname}-${pkgver}/${pkgname} "${pkgdir}"/opt/${pkgname}/${pkgname}
  install -Dm644 LICENSE "${pkgdir}"/usr/share/licenses/${pkgname}/LICENSE.txt

  ln -s /opt/${pkgname}/${pkgname} "${pkgdir}"/usr/bin/${pkgname}
}